<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLdSpecialLeaveDayToLeaveDaysTable extends Migration
{
    public function up()
    {
        Schema::table('leave_days', function (Blueprint $table) {
            $table->float('ld_special_leave_day')->default(0); // Adding the new field
        });
    }

    public function down()
    {
        Schema::table('leave_days', function (Blueprint $table) {
            $table->dropColumn('ld_special_leave_day'); // Dropping the field if needed
        });
    }
}
